Prerequisites

You will need the following components:

  • UMS (Universal Management Suite) 5.07.100 or higher
  • Physical or virtual server to host the ICG

You may set up your own Linux server or use the virtual appliances provided by IGEL at https://www.igel.com/software-downloads/igel-cloud-gateway/.

Find below a detailed overview of the prerequisites. The information in the columns Supported Linux distributions and Dependencies is only relevant if you set up the Linux host yourself.

ICG versionRequired UMS versionRequired IGEL OS versionSupported devicesSupported Linux distributionDependencies
ICG 1.02.100 - 1.03.1305.07.100 or higher10.03.100 or higher
  • IGEL UD-LX devices
  • UD Pocket-capable devices
  • UDC3-converted third-party devices

Note: Microsoft Windows-based IGEL endpoint devices are not supported

  • Ubuntu 16.04 (64 bit)
  • Debian 8.6 (64 bit)
The following packages:
  • dialog
  • uuid-runtime
  • super
  • unzip
  • realpath
ICG 1.04.100 or higher5.07.100 or higher10.03.100 or higher"
  • Debian 9 (64 bit)
  • Debian 8 (64 bit)
  • Ubuntu 18.04 (64 bit)
  • Ubuntu 16.04 (64 bit)
  • Ubuntu 14.04 (64 bit)
  • Oracle Linux  7 (64 bit)
  • Red Hat Enterprise Linux (RHEL) 7 (64 bit)
  • Red Hat Enterprise Linux (RHEL) 6 (64 bit)
  • SUSE Enterprise Server 12 (64 bit)
  • Python 2.6 or higher, Python 3.x is not supported. Create a symlink python2 pointing to the python 2.6+ installation.


Last update: November 19, 2018